<mat-card class="example-card">
    <mat-card-title-group>
        <mat-card-title>{{team.name}}</mat-card-title>
        <mat-card-subtitle>{{team.createdAt | format}}</mat-card-subtitle>
        <mat-card-subtitle>id: {{team.id}}</mat-card-subtitle>
    </mat-card-title-group>
    <mat-card-actions class="actions-buttons" align="end">
        <button mat-icon-button color="primary" (click)="toggleEditContainer()">
            <mat-icon aria-label="Edit">edit</mat-icon>
        </button>
        <button mat-icon-button color="basic" (click)="deleteTeam()">
            <mat-icon aria-label="Delete">delete</mat-icon>
        </button>
    </mat-card-actions>
</mat-card>
<mat-card class="example-card" *ngIf="showEditContainer">
    <mat-card-title>Edit</mat-card-title>
    <mat-card-content>
        <mat-form-field appearance="fill">
            <mat-label>Enter Name</mat-label>
            <input matInput [(ngModel)]="team.name" #input maxlength="30" minlength="4" placeholder="Name">
        </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
        <button mat-icon-button color="primary" matTooltip="Edit it" (click)="editTeam()">
            <mat-icon aria-label="Edit">send</mat-icon>
        </button>
    </mat-card-actions>
</mat-card>